#! /bin/csh -f

setenv FF 0.9743
setenv Target 90Zr
 setenv EVENT  20000000
#setenv EVENT    100000

switch ($Target)
case 1H:
  setenv mT 1.007825
  setenv Residu n
  setenv m3 1.008665
  setenv dTH 0.2
  breaksw
case 12C:
  setenv mT 12.000000
  setenv Residu 12B
  setenv m3 12.014353
  setenv fTH 0
  setenv dTH 4
  breaksw
case 90Zr:
  setenv mT 89.904708
  setenv Residu 90Y
  setenv m3 89.907156
  setenv fTH 0
  setenv dTH 6
  breaksw
default:
  echo "!! Bad Target($Target)"
  exit
endsw

calc << EOF > /tmp/calcXXXX
T  = 135
mp = 1.007825*931.501
pc = sqrt(T*(T+2*mp))*$FF
printf("setenv E_lower %6.1f\n",sqrt((pc*0.92593)^2+mp^2)-mp)
printf("setenv E_upper %6.1f\n",sqrt((pc*1.06383)^2+mp^2)-mp)
EOF
source /tmp/calcXXXX ; rm /tmp/calcXXXX

ln -sf temp.dat fort.1

foreach angle (0)
#setenv Root $Target-${angle}deg
setenv Root temp
if (-e $Root.hst) mv $Root.hst $Root.hst~
ln -sf $Root.hst fort.9
if ($Target == 1H) then
setenv TH_lower `calc "$dTH*$angle^2"`
else
setenv TH_lower `calc "max(0,$angle-$dTH)"`
endif
temp <<EOF | tee $Root.out
  TITLE  '$Target(d,2He)$Residu, Ed=270MeV'
  CALC   '$angle-deg'
  EVENT   $EVENT     1048577               ; NEVENT, RND-SEED
  EJECT   0 3.0   300                      ; S12(LWR), S12(UPR), NDIV
  INIT    2.014102   $mT       270.        ; MP, MT, TPL, ZP, ZT
  FINAL   1.007825   1.007825  $m3         ; M1, M2, M3,  Z1, Z2, Z3
  RESIDU  8 10 0 0                         ; EX(LWR), EX(UPR), MA, MB
  USER    $FF                              ; Field Factor
  DET1    0 $angle 2.406 4.469 $E_lower $E_upper ; A0, B0, DA, DB, TLWR, TUPR
  DET2    0 $angle 2.406 4.469 $E_lower $E_upper ; A0, B0, DA, DB, TLWR, TUPR
EOF
end

rm fort.1 fort.9
