#! /bin/sh

grep -v '^ *#' <<EOF | ../accba
12C(d,2He)12B[1+:Ex=0] @ 125MeV
  f  f  f             / DWBA,point-proj.,triple-diff.c.s.
  0  25  1            / thmin,thmax,dth
 12  6  0  1  125  -14.80  0  / A,ZA,IA,IB,Elab,Qval,Ex
 +1 1 1               / ptr,ntr,(jtr(i),i=1,ntr)
 150  0.1  50         / nRL,dRL,Lmax
  30  0.5   5  2  0   / nrs,drs,mrs,lamax,lbmax
  20  0.0  1.0        / nE12,E12min,E12max
# d-12C @ 120 MeV [ Betcker, Phys. Rev. C48 (1993) 2085-2088 ]
 55.48 1.16  0.78  6.99 3.85 1.33  0.79  1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
  4.14 1.42  0.83                            /     VLS,rLS,aLS
# p-12C @ 65 MeV [Hosono, Nucl. Phys. A343 (1980) 234-248 ]
 25.39 1.244 0.712 2.84 2.32 1.469 0.39  1.3 / pB: VR,rR,aR,WV,WD,rI,aI,rC
# two-body effective interaction [Hosaka,Kubo,Toki, NPA 444('85)76-92]
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 4  3.48769 0.7143  156.846 2.0 -92.0944 3.03  617.812 5.0
  1 1 3 1 4  22.3108 1.429  -887.725 3.03  16523.8 4.0 -36175.0 5.0
  1 1 2 1 1 -147.218 0
 -1 /
# single-particle potential parameters
 1.25  0.65  6  1.3  / r0, a, VLS, r0C
# single-particle orbit definition
 'p0p3/2'   V   50.00  15.96  / orbit, search-param, V0, B.E.
 'p0p1/2'   V   50.00  13.77  / orbit, search-param, V0, B.E.
 'n0p3/2'   V   50.00   5.12  / orbit, search-param, V0, B.E.
 'n0p1/2'   V   50.00   3.37  / orbit, search-param, V0, B.E.
 'end' /
# spectroscopic-amplitude for p-h configurations
 'p0p3/2' 'n0p3/2'  0.08252  / hole, particle, spectroscopic amplitude
 'p0p3/2' 'n0p1/2'  0.69065  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p3/2'  0.32697  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p1/2'  0.07332  / hole, particle, spectroscopic amplitude
 'end' /
EOF
exit

# two-body effective interaction [Franey & Love, PRC 31('85)488-498, 50MeV]
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 3  5.46875 0.7143  1234.80 2.5  -8770.56 4.0 / real central direct
  1 1 1 2 2                  26.5541 2.5   975.043 4.0 / imag central direct
  1 1 3 1 4  76.4089 1.429  -612.323 1.818  4704.11 2.5  -42276.4 4.0
  1 1 3 2 4  2.05661 1.429  -41.6680 1.818  534.800 2.5  -5579.72 4.0
  1 1 2 1 1  719.645  0 / real central exchange
  1 1 2 2 1 -122.785  0 / imag central exchange
 -1 /

# two-body effective interaction [Hosaka,Kubo,Toki, NPA 444('85)76-92]
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 4  3.48769 0.7143  156.846 2.0 -92.0944 3.03  617.812 5.0
  1 1 3 1 4  22.3108 1.429  -887.725 3.03  16523.8 4.0 -36175.0 5.0
  1 1 2 1 1 -147.218 0
 -1 /
